Delete a task
Deletes a non-retry Task and its schedule when applicable. Active Computer Agent work is stopped first. Active retryable communication Tasks are canceled and kept for history; completed retryable Tasks cannot be deleted.
OpenAPI
````yaml delete /api/v2/tasks/{taskId}
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/tasks/{taskId}:
delete:
tags:
- Tasks
summary: Delete a task
description: >-
Deletes a non-retry Task and its schedule when applicable. Active
Computer Agent work is stopped first. Active retryable communication
Tasks are canceled and kept for history; completed retryable Tasks
cannot be deleted.
parameters:
- name: taskId
in: path
required: true
schema:
type: string
description: Task ID
- name: targetAccountId
description: Require the Task to belong to this agent account in the organization
in: query
schema:
type: integer
responses:
'200':
description: Task deleted successfully
'401':
description: Unauthorized
'403':
description: Target account is outside the organization
'404':
description: Task not found
'409':
description: Terminal retryable Task history cannot be deleted
'500':
description: Internal Server Error
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
